<?php
//Подключение стилей
if (!is_admin()):
    add_action( 'rcl_enqueue_scripts', 'webx_theme_style', 10);
endif;
function webx_theme_style(){   
    rcl_enqueue_style( 'webx_theme_style', rcl_addon_url( 'assets/css/style.css',  __FILE__ ));
}
// выводим обложку
add_filter( 'rcl_inline_styles', 'webx_add_cover_inline_styles', 10 );
function webx_add_cover_inline_styles( $styles ) {
	if ( ! rcl_is_office() ) {
		return $styles;
	}
	global $user_LK;
	$cover = get_user_meta( $user_LK, 'rcl_cover', 1 );
	if ( ! $cover ) {
		$cover = rcl_get_option( 'default_cover', 0 );
	}
	$cover_url = $cover && is_numeric( $cover ) ? wp_get_attachment_image_url( $cover, 'large' ) : $cover;
	if ( ! $cover_url ) {
		$cover_url = rcl_addon_url( 'assets/image/default-cover.jpg', __FILE__ );
	}
	$dataUrl    = wp_parse_url( $cover_url );
	$cover_path = untrailingslashit( ABSPATH ) . $dataUrl['path'];
	$styles .= '#webx-cover{background-image: url(' . $cover_url . '?vers=' . @filemtime( $cover_path ) . ');}';
	return $styles;
}
// объявляем поддержку загрузки аватарки, загрузку обложки, модальное окно "Подробная информация"
add_action( 'rcl_addons_included', 'lt_setup_template_options', 10 );
function lt_setup_template_options() {
	rcl_template_support( 'avatar-uploader' );
	rcl_template_support( 'cover-uploader' );
	rcl_template_support( 'modal-user-details' );
}
